# Uses of Class
net.shibboleth.shared.testing.InMemoryDirectory.CustomServerSocketFactory

Packages that use InMemoryDirectory.CustomServerSocketFactory
Package
Description
net.shibboleth.shared.testing
Classes supporting testing of other classes.

## Uses of InMemoryDirectory.CustomServerSocketFactory in net.shibboleth.shared.testing

Fields in net.shibboleth.shared.testing declared as InMemoryDirectory.CustomServerSocketFactory
Modifier and Type
Field
Description
`private final InMemoryDirectory.CustomServerSocketFactory`
InMemoryDirectory.`customServerSocketFactory`
Server socket factory to track created sockets.